Package skyview.survey

# Class SurveyExtractor

java.lang.Object
skyview.survey.SurveyExtractor

public class SurveyExtractor extends Object
This class provides functionality to translate survey names into associated survey description files.

## Constructor Summary

Constructors
Constructor
Description
`SurveyExtractor()`
Set up the SurveyFinder and populate the map

## Method Summary

Modifier and Type
Method
Description
`protected void`
`getSurveysFromManifest()`
Get surveys from a user manifest.
`protected void`
`getSurveysFromRoot()`
Get the surveys in the document root area
`protected void`
`getSurveysFromUser()`
Get user specified surveys
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SurveyExtractor

public SurveyExtractor() throws Exception
Set up the SurveyFinder and populate the map

Throws:
  `Exception`

## Method Details

### getSurveysFromRoot

protected void getSurveysFromRoot()
Get the surveys in the document root area

### getSurveysFromUser

protected void getSurveysFromUser()
Get user specified surveys

### getSurveysFromManifest

protected void getSurveysFromManifest()
Get surveys from a user manifest. This is how SkyView-in-a-Jar gets its surveys.

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`